local L = LibStub("AceLocale-3.0"):NewLocale("TitanPals", "enUS", true);
-- ******************************** Constants *******************************
-- Core
L["TITAN_PALS_CORE_ID"] = "Pals";
L["TITAN_PALS_CORE_VERSION"] = GetAddOnMetadata("TitanPals","Version");
L["TITAN_PALS_CORE_DTAG"] = "<TitanPals Debug>";
L["TITAN_PALS_CORE_ITAG"] = "<TitanPals Info>";
L["TITAN_PALS_CORE_ADDVER"] = "r11";
L["TITAN_PALS_CORE_DBVER"] = "v2";
L["TITAN_PALS_CORE_ARTWORK"] = "Interface\\AddOns\\TitanPals\\Artwork\\TitanPals";

-- Config
L["TITAN_PALS_CONFIG"] = "Titan [|cffeda55fPals|r]";
L["TITAN_PALS_CONFIG_LABEL"] = "Addon for Titan Panel, This addon displays your friends list sorted by connection status on Titan Panel";
L["TITAN_PALS_CONFIG_SET_HEADER"] = "Addon Settings";
L["TITAN_PALS_CONFIG_NOALTS"] = "Remove Alts from ToolTip";
L["TITAN_PALS_CONFIG_NOALTS_DESC"] = "This will keep alts from showing up on the tooltip.";
L["TITAN_PALS_CONFIG_SHOWIGNORED"] = "Show Currently Ignored";
L["TITAN_PALS_CONFIG_SHOWIGNORED_DESC"] = "This will show anyone you might have Ignored on the tooltip.";
L["TITAN_PALS_CONFIG_SHOWOFFLINE"] = "Show Offline Friends";
L["TITAN_PALS_CONFIG_SHOWOFFLINE_DESC"] = "This will show some detailed info on the tooltip about your friends.";
L["TITAN_PALS_CONFIG_SHOWCLASS"] = "Show Friends Class";
L["TITAN_PALS_CONFIG_SHOWCLASS_DESC"] = "This toggles colored class names in tooltip.";
L["TITAN_PALS_CONFIG_SHOWNOTE"] = "Show Friends Note";
L["TITAN_PALS_CONFIG_SHOWNOTE_DESC"] = "This will show your friends note in tooltip if set.";
L["TITAN_PALS_CONFIG_SHOWMEM"] = "Show Memory Usage";
L["TITAN_PALS_CONFIG_SHOWMEM_DESC"] = "This will show you the amount of memory that TitamPals is using.";
L["TITAN_PALS_CONFIG_BANNOR"] = "Display Load Bannor";
L["TITAN_PALS_CONFIG_BANNOR_DESC"] = "This will display addon information and memory usage when the addon is loaded in the chat frame.";

-- Tooltip
L["TITAN_PALS_TOOLTIP"] = "Online Pals Info";
L["TITAN_PALS_TOOLTIP_OFF"] = "Offline Pals Info";
L["TITAN_PALS_TOOLTIP_IGNORE"] = "Currently Ignored Info";
L["TITAN_PALS_TOOLTIP_MEM"] = "Memory Usage";
L["TITAN_PALS_TOOLTIP_ONLINE"] = "Online";
L["TITAN_PALS_TOOLTIP_OFFLINE"] = "Offline";
L["TITAN_PALS_TOOLTIP_IGNORED"] = "Currently Ignored";
L["TITAN_PALS_TOOLTIP_NOPALS"] = "No Pals Currently Online"; -- new
L["TITAN_PALS_TOOLTIP_EMPTY"] = "Your Pals List Is Currently Empty!!!"; -- new
L["TITAN_PALS_TOOLTIP_IGNORE_EMPTY"] = "Your ignore list is currently empty."; -- new
L["TITAN_PALS_TOOLTIP_COMBAT"] = "Tooltip disabled in combat."; --new

-- Menu
L["TITAN_PALS_MENU_TEXT"] = "Titan Pals";
L["TITAN_PALS_MENU_SETTINGS"] = "Settings";
L["TITAN_PALS_MENU_NOALTS"] = "Remove Alts from ToolTip";
L["TITAN_PALS_MENU_SHOWIGNORED"] = "Show Currently Ignored";
L["TITAN_PALS_MENU_SHOWOFFLINE"] = "Show Offline Pals";
L["TITAN_PALS_MENU_SHOWCLASS"] = "Show Pals Class";
L["TITAN_PALS_MENU_SHOWNOTE"] = "Show Pals Note";
L["TITAN_PALS_MENU_SYNCALTS"] = "Sync Alts to Friends List";
L["TITAN_PALS_MENU_SYNCALTSFRIENDS"] = "Sync Alts Friends to Friends List";
L["TITAN_PALS_MENU_SYNC"] = "Syncing";
L["TITAN_PALS_MENU_WHISPER"] = "Whisper";
L["TITAN_PALS_MENU_INVITE"] = "Invite";
L["TITAN_PALS_MENU_RMOVE"] = "Remove";
L["TITAN_PALS_MENU_NOTE"] = "Note";
L["TITAN_PALS_MENU_MEM"] = "Show Memory Usage on Tooltip";

-- Debuging
L["TITAN_PALS_DEBUG_DEV"] = "Debug Mode";
L["TITAN_PALS_CONFIG_DEBUG"] = "|cff808080Debug Mode|r";
L["TITAN_PALS_CONFIG_DEBUG_DESC"] = "This enables debug mode";
L["TITAN_PALS_DEBUG_DEVEVENT"] = "Event Debug Mode";
L["TITAN_PALS_CONFIG_DEBUGEVENT"] = "|cff808080Event Debug Mode.|r";
L["TITAN_PALS_CONFIG_DEBUGEVENT_DESC"] = "This will show the event that is registered that was passed to the addon.";
L["TITAN_PALS_DEBUG_DEVLOGEVENT"] = "Log Event Debug Mode";
L["TITAN_PALS_CONFIG_DEBUGLOGEVENT"] = "|cff808080Log Event Debug Mode|r";
L["TITAN_PALS_CONFIG_DEBUGLOGEVENT_DESC"] = "This will start logging debug info about the addon. ( |cffff2020BE CAREFULL THIS WILL ADD TO THE MEMORY USAGE|r )";
L["TITAN_PALS_DEBUG_MDEBUG"] = "Debug Menu";
L["TITAN_PALS_DEBUG_DEBUG1"] = "Debug Setting";

-- Authors
L["TITAN_PALS_AUTHOR_A"] = "Nagdand@Laughing Skull";
L["TITAN_PALS_AUTHOR_B"] = "Nagdand@Korialstrasz";
L["TITAN_PALS_AUTHOR_C"] = "Dorid@Sentinels";
L["TITAN_PALS_AUTHOR_D"] = "Corelg@Laughing Skull";
L["TITAN_PALS_AUTHOR_E"] = "Lindarena@Laughing Skull";

-- Colors
L["TITAN_PALS_COLORS_GRAY"] = "|cff808080";
L["TITAN_PALS_COLORS_ORANGE"] = "|cffff9900";
L["TITAN_PALS_COLORS_RED"] = "|cffff2020";
L["TITAN_PALS_COLORS_GREEN"] = "|cff20ff20";
L["TITAN_PALS_COLORS_NORMAL"] = "|cffffd200";
L["TITAN_PALS_COLORS_HLIGHT"] = "|cffffffff";
L["TITAN_PALS_COLORS_CTAG"] = "|r";

-- Button
L["TITAN_PALS_BUTTON_LABEL"] = "Pals: ";
L["TITAN_PALS_BUTTON_TEXT"] = "%s/%s/%s";

-- Notes
-- Warrior
L["TITAN_PALS_NOTES_WPROT"] = "Protection";
L["TITAN_PALS_NOTES_WARMS"] = "Arms";
L["TITAN_PALS_NOTES_WFURY"] = "Fury";
-- Mage
L["TITAN_PALS_NOTES_MFIRE"] = "Fire";
L["TITAN_PALS_NOTES_MFROS"] = "Frost";
L["TITAN_PALS_NOTES_MARCA"] = "Arcane";
-- Paladin
L["TITAN_PALS_NOTES_PPROT"] = "Protection";
L["TITAN_PALS_NOTES_PHOLY"] = "Holy";
L["TITAN_PALS_NOTES_PRETR"] = "Retribution";
-- Hunter
L["TITAN_PALS_NOTES_HMARK"] = "Marksmanship";
L["TITAN_PALS_NOTES_HBEAS"] = "Beast Mastery";
L["TITAN_PALS_NOTES_HSURV"] = "Survival";
-- Rogue
L["TITAN_PALS_NOTES_RASSA"] = "Assassination";
L["TITAN_PALS_NOTES_RCOMB"] = "Combat";
L["TITAN_PALS_NOTES_RSUBT"] = "Subtlety";
-- Priest
L["TITAN_PALS_NOTES_PRSHA"] = "Shadow";
L["TITAN_PALS_NOTES_PRHOL"] = "Holy";
L["TITAN_PALS_NOTES_PRDIS"] = "Discipline";
-- Warlock
L["TITAN_PALS_NOTES_LAFFL"] = "Affliction";
L["TITAN_PALS_NOTES_LDEMO"] = "Demonology";
L["TITAN_PALS_NOTES_LDEST"] = "Destruction";
-- Death Knight
L["TITAN_PALS_NOTES_DLBLO"] = "Blood";
L["TITAN_PALS_NOTES_DKFRO"] = "Frost";
L["TITAN_PALS_NOTES_DKUNH"] = "Unholy";
-- Druid
L["TITAN_PALS_NOTES_DBALA"] = "Balance";
L["TITAN_PALS_NOTES_DFERA"] = "Feral Combat";
L["TITAN_PALS_NOTES_DREST"] = "Restoration";
-- Shaman
L["TITAN_PALS_NOTES_SELEM"] = "Elemental";
L["TITAN_PALS_NOTES_SENHA"] = "Enhancement";
L["TITAN_PALS_NOTES_SREST"] = "Restoration";

-- Classes
L["TITAN_PALS_CLASSES_WARRIOR"] = "Warrior";
L["TITAN_PALS_CLASSES_MAG"] = "Mage";
L["TITAN_PALS_CLASSES_PALADIN"] = "Paladin";
L["TITAN_PALS_CLASSES_HUNTER"] = "Hunter";
L["TITAN_PALS_CLASSES_ROGUE"] = "Rogue";
L["TITAN_PALS_CLASSES_PRIEST"] = "Priest";
L["TITAN_PALS_CLASSES_WARLOCK"] = "Warlock";
L["TITAN_PALS_CLASSES_DEATHKNIGHT"] = "Death Knight";
L["TITAN_PALS_CLASSES_DRUID"] = "Druid";
L["TITAN_PALS_CLASSES_SHAMAN"] = "Shaman";

if ( GetLocale() == "frFR" ) then
     L["TITAN_PALS_BUTTON_LABLE"] = "Copains:";
     L["TITAN_PALS_CLASSES_WARRIOR"] = "Guerrie";
     L["TITAN_PALS_CLASSES_MAG"] = "Mage";
     L["TITAN_PALS_CLASSES_PALADIN"] = "Paladin";
     L["TITAN_PALS_CLASSES_HUNTER"] = "Chasseur";
     L["TITAN_PALS_CLASSES_ROGUE"] = "Voleur";
     L["TITAN_PALS_CLASSES_PRIEST"] = "Prêtre";
     L["TITAN_PALS_CLASSES_WARLOCK"] = "Dèmoniste";
     L["TITAN_PALS_CLASSES_DEATHKNIGHT"] = "Chevalier de la mort";
     L["TITAN_PALS_CLASSES_DRUID"] = "Druide";
     L["TITAN_PALS_CLASSES_SHAMAN"] = "Chaman";
elseif ( GetLocale() == "ruRU" ) then
     L["TITAN_PALS_BUTTON_LABLE"] = "Приятели:";
     L["TITAN_PALS_CLASSES_WARRIOR"] = "Воин";
     L["TITAN_PALS_CLASSES_MAG"] = "Маг";
     L["TITAN_PALS_CLASSES_PALADIN"] = "Паладин";
     L["TITAN_PALS_CLASSES_HUNTER"] = "Охотник";
     L["TITAN_PALS_CLASSES_ROGUE"] = "Разбойник";
     L["TITAN_PALS_CLASSES_PRIEST"] = "Жрец";
     L["TITAN_PALS_CLASSES_WARLOCK"] = "Чернокнижник";
     L["TITAN_PALS_CLASSES_DEATHKNIGHT"] = "Рыцарь смерти";
     L["TITAN_PALS_CLASSES_DRUID"] = "Друид";
     L["TITAN_PALS_CLASSES_SHAMAN"] = "Шаман";
elseif ( GetLocale() == "esES" ) then
     L["TITAN_PALS_BUTTON_LABLE"] = "Pals:";
     L["TITAN_PALS_CLASSES_WARRIOR"] = "Guerrero";
     L["TITAN_PALS_CLASSES_MAG"] = "Mago";
     L["TITAN_PALS_CLASSES_PALADIN"] = "Paladín";
     L["TITAN_PALS_CLASSES_HUNTER"] = "Cazador";
     L["TITAN_PALS_CLASSES_ROGUE"] = "Pícaro";
     L["TITAN_PALS_CLASSES_PRIEST"] = "Sacerdote";
     L["TITAN_PALS_CLASSES_WARLOCK"] = "Brujo";
     L["TITAN_PALS_CLASSES_DEATHKNIGHT"] = "Cabellero";
     L["TITAN_PALS_CLASSES_DRUID"] = "Druida";
     L["TITAN_PALS_CLASSES_SHAMAN"] = "Chamán";
end